package com.baidu.bce.vod.server.dto;

import com.baidubce.services.vod.v2.model.MediaProcessRequest;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class MediaUploadCompltedRequest {
    @JsonProperty("isMultipartUpload")
    private boolean isMultipartUpload;
    private List<String> etags;
    @NotNull
    private String sessionKey;
    private boolean autoExtractCover;
    private boolean needProcess;
    private MediaProcessRequest.MediaProcessByWorkflow workflow;
    private MediaProcessRequest.MediaProcessByPreset preset;
}
