package com.baidu.bce.vod.server.service;

import com.baidu.bce.vod.server.dto.MediaUploadCompltedRequest;
import com.baidubce.services.vod.v2.model.MediaCompleteUploadResponse;
import com.baidubce.services.vod.v2.model.MediaProcessRequest;
import com.baidubce.services.vod.v2.model.MediaProcessResponse;
import com.baidubce.services.vod.v2.model.MediaUploadDoneRequest;
import com.baidubce.services.vod.v2.model.MediaUploadRequest;
import com.baidubce.services.vod.v2.model.MediaUploadResponse;

public interface MediaService {
    MediaUploadResponse createUpload(MediaUploadRequest request);
    MediaProcessResponse completeUpload(MediaUploadCompltedRequest request);
    MediaCompleteUploadResponse completeUpload(MediaUploadDoneRequest request);

    MediaProcessResponse processMedia(MediaProcessRequest mediaProcessRequest);
}
